%define ver 1.4
%define rel 1

Summary: a command-line JSON processor
Name: jq
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: BSD
Group: Applications/Text
URL: http://stedolan.github.io/jq/
Source0: http://stedolan.github.io/jq/download/source/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
jq is like sed for JSON data – you can use it to slice and filter and
map and transform structured data with the same ease that sed, awk,
grep and friends let you play with text.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%configure --enable-shared --enable-static=no

%build
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README*
%{_bindir}/jq
%{_libdir}/libjq.so.*
%{_mandir}/man1/jq.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/libjq.so

%changelog
* Fri Jan  2 2015 IWAI, Masaharu <iwaim.sub@gmail.com>
- initial release Vine Linux
